Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

Get database or application ingestion and replication task details

Get database or application ingestion and replication task details

Use the details action of the task resource to retrieve detailed information about a
database ingestion and replication
task or
application ingestion and replication
task in the organization. This API provides detailed task payload information, which you can easily reuse when you create or update tasks.

GET request

Use the following GET request to retrieve task details:
GET /dbmi/public/api/v2/task/details?taskId={taskId}&projectId={projectId}&folderId={folderId}

Request parameters

You can include the task ID in the URL to retrieve details for a specific task. Alternatively, provide the project ID and folder ID in the URL to retrieve details for all tasks within a particular project and folder. If you omit the task ID, project ID, and folder ID, the API returns details for all tasks in the organization.
Field
Type
Description
projectId
String
ID of the project where the task resides.
folderId
String
ID of the folder where the task resides in the project.
taskId
integer
ID of the task.
You can also include the following optional pagination attributes in the request:
Field
Type
Description
orderBy
string
Column name to sort the results.
You can use one of the following column names to specify the sorting order:
  • name
  • createdTime
  • lastUpdatedTime
  • lastAccessedTime
pageNo
Integer
Page number to retrieve after pagination.
pageSize
Integer
Number of records per page.

Get request

Without pagination
Use the following GET request to retrieve task details based on task ID, project ID, and folder ID without pagination:
GET /dbmi/public/api/v2/task/details?taskId={taskId}&projectId={projectId}&folderId={folderId}
For example:
GET https://pod-ing.ics.dev:11447/dbmi/public/api/v2/task/details?taskId=2&folderId=5GX14m3CuFAeVWqnsSX9mC
With pagination
To paginate the results, you can include the following parameters in your GET request:
GET /dbmi/public/api/v2/task/details?orderBy={nameOftheColumn}&pageNo={int}&pageSize={int}
For example:
GET https://pod-ing.ics.dev:11447/dbmi/public/api/v2/task/details?orderBy=name&pageNo=1&pageSize=2

Successful response

A successful response returns HTTP status code 200 and includes the following header:
Content-Type: application/json HTTP/2 200 Created

Response fields

The response includes the task details with the following fields:
Field
Type
Description
totalCount
int
Total number of documents returned in the response.
Documents
Object List
List of document objects, each representing a task or asset.
Each
document
object includes the following fields:
Field
Type
Description
taskId
int
Identifier of the task, retrieved from the repoInfo.repoHandle.
name
string
Name of the document or task.
documentState
string
Current state of the document, such as VALID.
documentType
string
Type of the document. For example, APPMI_TASK or DBMI_TASK.
parentInfo
Object List
List of parent entities related to the document, such as Space, Project, or Folder.
description
string
Description of the document. This field can be empty.
owner
string
Identifier of the owner of the document.
createdBy
string
Identifier of the user who created the document.
createdTime
string (ISO 8601)
Timestamp indicating when the document was created.
accessedTime
string (ISO 8601)
Timestamp indicating when the document was last accessed.
updateTime
string (ISO 8601)
Timestamp indicating when the document was last updated.
dbmiTask
JSON Node
Detailed JSON object containing task-specific configuration and metadata.
nativeData
NativeData
Optional native data associated with the document. The value can be null.
contentType
string
Content type of the document, which is ignored during JSON serialization.
docRef
DocRef
Reference to the document in the repository. The value can be null.
repoInfo
RepositoryInfo
Repository-related information including the repository handle. The value can be null.
The dbmiTask object includes the following top-level sections:
Field
Type
Description
type
string
Type of the task object, for example dbmi.
general
Object
General task settings, such as name, description, location, runtime environment, and load type.
source
Object
Source connection and configuration details for the task, including connector-specific custom properties.
target
Object
Target connection and configuration details for the task, including connector-specific custom properties.
runtimeOptions
Object
Runtime behavior settings for the task, such as checkpointing, auto-tuning, and schema drift options.
replicationRules
Object
Source and target object selection rules and column transformations applied by the task.
The
ParentInfo
object includes the following fields:
Field
Type
Description
parentId
string
Identifier of the parent entity, such as a Space, Project, or Folder.
parentName
string
Name of the parent entity.
parentType
string
Type of the parent entity, for example, Space, Project, or Folder.

Sample response without pagination

The following example shows detailed information returned for a single task without pagination:
{ "totalCount": 1, "pageNo": 0, "pageSize": 25, "documents": [ { "taskId": 754889, "name": "Check_cdc_case1_ora_2_snflk_oct5", "documentState": "VALID", "documentType": "DBMI_TASK", "parentInfo": [ { "parentId": "7cCn5thwWFLhiZoSosphKL", "parentName": "REG", "parentType": "Space" }, { "parentId": "3uDIOqah80qbMK3cXAceIp", "parentName": "Default", "parentType": "Project" } ], "description": "", "owner": "6r2IItttmU3ibDwPqxnRwb", "createdBy": "6r2IItttmU3ibDwPqxnRwb", "createdTime": "2026-10-05T07:19:22.000+00:00", "accessedTime": "2026-10-05T07:35:18.961+00:00", "updateTime": "2026-10-05T07:35:18.961+00:00", "dbmiTask": { "type": "dbmi", "general": { "name": "Check_cdc_case1_ora_2_snflk_oct5", "description": null, "location": "Default", "runtimeEnvironment": "invyaminirh01.informatica.com", "type": "cdc" }, "source": { "connection": "Oracle_19RDS_yk-CDC", "customProperties": { "readerInputIsPersisted": "false", "loadType": "CDC", "journalName": "", "dbmi.cdc.query.based.column.type": "COLUMN_TYPE_TIMESTAMP", "dbmi.cdc.technique": "LOG_BASED_CDC", "pwx.cdcreader.postgresql.connection.repl.slotname": "", "lobsEnabled": "false", "pwx.cdcreader.postgresql.connection.repl.publication": "", "dbmi.cdc.interval.mins": "5", "selectionMode": "RULE_BASED" }, "restartPointForIncrementalLoadTimestamp": null, "schema": "SP_UNLOAD", "includeViews": null, "replicationSlotName": "", "replicationPlugin": null, "publication": "", "journalName": "", "restartPointForIncrementalLoad": "LATEST", "restartPointForIncrementalLoadPosition": null, "cdcTechnique": "LOG_BASED_CDC", "cdcQueryBasedColumnType": "COLUMN_TYPE_TIMESTAMP", "cdcQueryBasedColumnName": null, "cdcQueryBasedDateColumn": null, "cdcQueryBasedTimeColumn": null, "context": null, "accountId": null, "propertyId": null, "viewId": null, "pathToReportConfigurationFile": null, "product": null, "services": null, "outputType": null, "salesforceAPI": null, "fetchSize": null, "fetchSizeForInitialLoad": null, "fetchSizeForIncrementalLoad": null, "startDate": null, "endDate": null, "cdcIntervalDays": null, "cdcIntervalHours": null, "cdcIntervalMins": "5", "extractNonDefaultFields": null, "includeArchivedAndDeletedRows": null, "includeBase64Fields": null, "maximumBase64BodySize": null, "batchSize": null, "mid": null, "readerInputIsPersisted": "false", "readerHistoricalCacheUseCloud": null, "lobsEnabled": "false", "unloadFlashbackDisabled": null, "enableAlternateSource": null, "alternateSourceId": null, "cdcStagingMigration": null, "cdcStagingMigrationTasks": null, "jdbcPartitioningTechnique": null, "sourceMaxParallelPartitions": null, "unloadHelperThreadCount": null, "readEventBatchSize": null, "readerHelperThreadCount": null, "salesforceBulkV2Partitioning": null, "salesforceBulkV2RecordsPerPartition": null, "salesforceBulkV2MaxParallelPartitions": null, "workdayReplicationType": null, "workdayReportsNumber": null, "workdayReportName": null, "workdayReportsConfigFile": null, "oracleFusionInterfaceType": null, "oracleFusionModuleName": null, "oracleFusionEnableChildObjects": null, "formattedStartDate": "", "formattedEndDate": "", "selectionRules": [ { "include": "COMPO2" }, { "include": "COMPO8" } ] }, "target": { "connection": "Snowflake_pat_sp", "schema": "ADOBE_PB", "outputFormat": "CSV", "fileCompressionType": "None", "parquetFormat": "true", "fixedDirectoryForEachTable": "false", "renamingRules": [], "dataTypeRules": [], "stage": "gkn", "bucket": "", "directory": "", "addBeforeImages": "false", "directoryTags": "", "useTableNameAsTopicName": "false", "includeSchemaName": "false", "asyncWrite": "true", "writerSnowflakeIngestionMethod": "", "writerSnowflakeDeferredMergeInterval": "3600", "customProperties": { "rat.audit.columns.optype": "false", "applyMode": "standard", "targetBucket": "", "targetDirectory": "", "rat.cdcfile.target.directory": "", "writerSnowflakeIngestionMethod": "", "writerSnowflakeDeferredMergeInterval": "3600", "targetIdentifiersEnableCaseTransformation": "false", "auditColumnsPrefix": "INFA_" } }, "runtimeOptions": { "numberOfRowsInOutputFile": null, "fileExtensionBasedOnFileType": null, "applyCycleChangeLimit": null, "applyCycleIntervalDays": null, "applyCycleIntervalHours": null, "applyCycleIntervalMins": null, "applyCycleIntervalSecs": null, "lowActivityFlushHours": null, "lowActivityFlushMins": null, "checkpointAllRows": null, "checkpointEveryCommit": null, "checkpointRowCount": null, "checkpointFrequencySecs": null, "executeInTaskflow": false, "enableAutoTuning": false, "schemaDriftOptions": { "addColumn": "replicate", "renameColumn": "ignore", "modifyColumn": "replicate", "dropColumn": "ignore" }, "customProperties": {} }, "replicationRules": { "source": "SP_UNLOAD", "target": "ADOBE_PB", "overrides": { "tableRules": [], "fieldRules": [] }, "sourceSet": [ { "schema": "", "include": "COMPO2" }, { "schema": "", "include": "COMPO8" } ], "columnTransformations": [] } } } ] }

Sample response with pagination

The following example shows a paginated response containing multiple task documents:
{ "totalCount": 15792, "pageNo": 1, "pageSize": 2, "documents": [ { "taskId": 687091, "name": "-1e999", "documentState": "VALID", "documentType": "DBMI_TASK", "parentInfo": [ { "parentId": "7cCn5thwWFLhiZoSosphKL", "parentName": "REG", "parentType": "Space" }, { "parentId": "3uDIOqah80qbMK3cXAceIp", "parentName": "Default", "parentType": "Project" } ], "description": "", "owner": "31RpFJNQi86lWuZVRKB5ep", "createdBy": "31RpFJNQi86lWuZVRKB5ep", "createdTime": "2026-07-30T12:58:36.000+00:00", "accessedTime": "2026-10-05T07:37:38.894+00:00", "updateTime": "2026-10-05T07:37:38.894+00:00", "dbmiTask": { "type": "dbmi", "general": { "name": "-1e999", "description": null, "location": "Default", "runtimeEnvironment": "00_ec2_S3_IAM_Role_1", "type": "initial" }, "source": { "connection": "AIN_Oracle_4", "customProperties": { "lobsEnabled": "false", "loadType": "UNLOAD", "unloadFlashbackDisabled": "true", "unloadIncludeViews": "false", "selectionMode": "BROWSE_BASED" }, "restartPointForIncrementalLoadTimestamp": null, "schema": "ADMIN", "includeViews": "false", "replicationSlotName": null, "replicationPlugin": null, "publication": null, "journalName": null, "restartPointForIncrementalLoad": null, "restartPointForIncrementalLoadPosition": null, "cdcTechnique": null, "cdcQueryBasedColumnType": null, "cdcQueryBasedColumnName": null, "cdcQueryBasedDateColumn": null, "cdcQueryBasedTimeColumn": null, "context": null, "accountId": null, "propertyId": null, "viewId": null, "pathToReportConfigurationFile": null, "product": null, "services": null, "outputType": null, "salesforceAPI": null, "fetchSize": null, "fetchSizeForInitialLoad": null, "fetchSizeForIncrementalLoad": null, "startDate": null, "endDate": null, "cdcIntervalDays": null, "cdcIntervalHours": null, "cdcIntervalMins": null, "extractNonDefaultFields": null, "includeArchivedAndDeletedRows": null, "includeBase64Fields": null, "maximumBase64BodySize": null, "batchSize": null, "mid": null, "readerInputIsPersisted": null, "readerHistoricalCacheUseCloud": null, "lobsEnabled": "false", "unloadFlashbackDisabled": "true", "enableAlternateSource": null, "alternateSourceId": null, "cdcStagingMigration": null, "cdcStagingMigrationTasks": null, "jdbcPartitioningTechnique": null, "sourceMaxParallelPartitions": null, "unloadHelperThreadCount": null, "readEventBatchSize": null, "readerHelperThreadCount": null, "salesforceBulkV2Partitioning": null, "salesforceBulkV2RecordsPerPartition": null, "salesforceBulkV2MaxParallelPartitions": null, "workdayReplicationType": null, "workdayReportsNumber": null, "workdayReportName": null, "workdayReportsConfigFile": null, "oracleFusionInterfaceType": null, "oracleFusionModuleName": null, "oracleFusionEnableChildObjects": null, "formattedStartDate": "", "formattedEndDate": "", "selectionRules": [ { "exclude": "*" }, { "include": "AA_DERIVED2" } ] }, "target": { "connection": "OneLake_RG", "schema": "", "outputFormat": "CSV", "fileCompressionType": "Gzip", "parquetFormat": "true", "fixedDirectoryForEachTable": "false", "renamingRules": [], "dataTypeRules": [], "stage": "", "bucket": "", "directory": "{TableName}_{Timestamp}", "addBeforeImages": "false", "useTableNameAsTopicName": "false", "includeSchemaName": "false", "asyncWrite": "true", "useConnectionDir": "true", "customProperties": { "formatEncoderIncludeInfaBigIntSequence": "false", "rat.target.useConnectionDir": "true", "auditColumnsPrefix": "INFA_", "targetBucket": "", "targetDirectory": "{TableName}_{Timestamp}" } }, "runtimeOptions": { "numberOfRowsInOutputFile": "100000", "fileExtensionBasedOnFileType": null, "applyCycleChangeLimit": null, "applyCycleIntervalDays": null, "applyCycleIntervalHours": null, "applyCycleIntervalMins": null, "applyCycleIntervalSecs": null, "lowActivityFlushHours": null, "lowActivityFlushMins": null, "checkpointAllRows": null, "checkpointEveryCommit": null, "checkpointRowCount": null, "checkpointFrequencySecs": null, "executeInTaskflow": false, "enableAutoTuning": false, "schemaDriftOptions": null, "customProperties": { "rowsPerTargetFile": "100000" } }, "replicationRules": { "source": "ADMIN", "target": "", "overrides": { "tableRules": [], "fieldRules": [] }, "sourceSet": [ { "schema": "", "exclude": "*" }, { "schema": "", "include": "AA_DERIVED2" } ], "columnTransformations": [] } } }, { "taskId": 687147, "name": "-2147483649", "documentState": "VALID", "documentType": "DBMI_TASK", "parentInfo": [ { "parentId": "7cCn5thwWFLhiZoSosphKL", "parentName": "REG", "parentType": "Space" }, { "parentId": "3uDIOqah80qbMK3cXAceIp", "parentName": "Default", "parentType": "Project" } ], "description": "", "owner": "31RpFJNQi86lWuZVRKB5ep", "createdBy": "31RpFJNQi86lWuZVRKB5ep", "createdTime": "2026-07-30T12:59:31.000+00:00", "accessedTime": "2026-10-05T07:37:38.894+00:00", "updateTime": "2026-10-05T07:37:38.894+00:00", "dbmiTask": { "type": "dbmi", "general": { "name": "-2147483649", "description": null, "location": "Default", "runtimeEnvironment": "00_ec2_S3_IAM_Role_1", "type": "initial" }, "source": { "connection": "AIN_Oracle_4", "customProperties": { "lobsEnabled": "false", "loadType": "UNLOAD", "unloadFlashbackDisabled": "true", "unloadIncludeViews": "false", "selectionMode": "BROWSE_BASED" }, "restartPointForIncrementalLoadTimestamp": null, "schema": "ADMIN", "includeViews": "false", "replicationSlotName": null, "replicationPlugin": null, "publication": null, "journalName": null, "restartPointForIncrementalLoad": null, "restartPointForIncrementalLoadPosition": null, "cdcTechnique": null, "cdcQueryBasedColumnType": null, "cdcQueryBasedColumnName": null, "cdcQueryBasedDateColumn": null, "cdcQueryBasedTimeColumn": null, "context": null, "accountId": null, "propertyId": null, "viewId": null, "pathToReportConfigurationFile": null, "product": null, "services": null, "outputType": null, "salesforceAPI": null, "fetchSize": null, "fetchSizeForInitialLoad": null, "fetchSizeForIncrementalLoad": null, "startDate": null, "endDate": null, "cdcIntervalDays": null, "cdcIntervalHours": null, "cdcIntervalMins": null, "extractNonDefaultFields": null, "includeArchivedAndDeletedRows": null, "includeBase64Fields": null, "maximumBase64BodySize": null, "batchSize": null, "mid": null, "readerInputIsPersisted": null, "readerHistoricalCacheUseCloud": null, "lobsEnabled": "false", "unloadFlashbackDisabled": "true", "enableAlternateSource": null, "alternateSourceId": null, "cdcStagingMigration": null, "cdcStagingMigrationTasks": null, "jdbcPartitioningTechnique": null, "sourceMaxParallelPartitions": null, "unloadHelperThreadCount": null, "readEventBatchSize": null, "readerHelperThreadCount": null, "salesforceBulkV2Partitioning": null, "salesforceBulkV2RecordsPerPartition": null, "salesforceBulkV2MaxParallelPartitions": null, "workdayReplicationType": null, "workdayReportsNumber": null, "workdayReportName": null, "workdayReportsConfigFile": null, "oracleFusionInterfaceType": null, "oracleFusionModuleName": null, "oracleFusionEnableChildObjects": null, "formattedStartDate": "", "formattedEndDate": "", "selectionRules": [ { "exclude": "*" }, { "include": "AA_DERIVED2" } ] }, "target": { "connection": "OneLake_RG", "schema": "", "outputFormat": "CSV", "fileCompressionType": "Gzip", "parquetFormat": "true", "fixedDirectoryForEachTable": "false", "renamingRules": [], "dataTypeRules": [], "stage": "", "bucket": "", "directory": "{TableName}_{Timestamp}", "addBeforeImages": "false", "useTableNameAsTopicName": "false", "includeSchemaName": "false", "asyncWrite": "true", "useConnectionDir": "true", "customProperties": { "formatEncoderIncludeInfaBigIntSequence": "false", "rat.target.useConnectionDir": "true", "auditColumnsPrefix": "INFA_", "targetBucket": "", "targetDirectory": "{TableName}_{Timestamp}" } }, "runtimeOptions": { "numberOfRowsInOutputFile": "100000", "fileExtensionBasedOnFileType": null, "applyCycleChangeLimit": null, "applyCycleIntervalDays": null, "applyCycleIntervalHours": null, "applyCycleIntervalMins": null, "applyCycleIntervalSecs": null, "lowActivityFlushHours": null, "lowActivityFlushMins": null, "checkpointAllRows": null, "checkpointEveryCommit": null, "checkpointRowCount": null, "checkpointFrequencySecs": null, "executeInTaskflow": false, "enableAutoTuning": false, "schemaDriftOptions": null, "customProperties": { "rowsPerTargetFile": "100000" } }, "replicationRules": { "source": "ADMIN", "target": "", "overrides": { "tableRules": [], "fieldRules": [] }, "sourceSet": [ { "schema": "", "exclude": "*" }, { "schema": "", "include": "AA_DERIVED2" } ], "columnTransformations": [] } } } ] }

Failed responses

If the request fails, the API returns one of the following HTTP error codes:
HTTP status code
Error code
Error message
401
CDIR_AUTH_UNAUTHORIZED
Authentication failed.
403
CDIR_AUTHZ_FORBIDDEN
You do not have the required permissions to perform this job.
404
CDIR_TASK_NOT_FOUND
Task{taskId} was not found.
500
CDIR_INTERNAL_ERROR
Unexpected error occurred during deployment.
503
CDIR_SERVICE_ UNAVAILABLE
Service is temporarily unavailable.
The following example shows a sample error response when the specified task ID that is not valid:
{ "error": { "httpStatus": 404, "code": "CDIR_TASK_NOT_FOUND", "message": "Task {73544312} was not found.", "details": [ { "taskId": "73544312" } ], "traceId": "5593b442-a71c-43cf-9894-5bee71e13bdc" } }

0 COMMENTS

We’d like to hear from you!